Bug 483403 - Review Request: gdesklets-citation - A collection of quotes in French for gdesklets
Review Request: gdesklets-citation - A collection of quotes in French for gde...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 15:58 EST by MERCIER Jonathan
Modified: 2009-03-16 15:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.5-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2009-01-31 15:58:53 EST
http://bioinformatiques.free.fr/Citation-1.3-3.fc10.noarch.rpm

http://bioinformatiques.free.fr/Citation-1.3-3.fc10.src.rpm

http://bioinformatiques.free.fr/Citation-1.3-3.spec
_____________________________________________________________________
rmlint issue:
$ rpmlint rpmbuild/SPECS/citation.spec 
Error: no installed packages by name rpmbuild/SPECS/citation.spec
0 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/Citation-1.3-3.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/Citation-1.3-3.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SPECS/Citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

_____________________________________________________________________
Comment 1 MERCIER Jonathan 2009-01-31 16:09:33 EST
$ koji build --scratch dist-f10 rpmbuild/SRPMS/Citation-1.3-3.fc10.src.rpm 
Uploading srpm: rpmbuild/SRPMS/Citation-1.3-3.fc10.src.rpm
[====================================] 100% 00:00:04 132.10 KiB  27.94 KiB/sec
Created task: 1096640
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1096640
Watching tasks (this may be safely interrupted)...
1096640 build (dist-f10, Citation-1.3-3.fc10.src.rpm): open (xenbuilder4.fedora.phx.redhat.com)
  1096641 buildArch (Citation-1.3-3.fc10.src.rpm, noarch): free
  1096641 buildArch (Citation-1.3-3.fc10.src.rpm, noarch): free -> open (x86-7.fedora.phx.redhat.com)
  1096641 buildArch (Citation-1.3-3.fc10.src.rpm, noarch): open (x86-7.fedora.phx.redhat.com) -> closed
  0 free  1 open  1 done  0 failed
1096640 build (dist-f10, Citation-1.3-3.fc10.src.rpm): open (xenbuilder4.fedora.phx.redhat.com) -> closed
  0 free  0 open  2 done  0 failed

1096640 build (dist-f10, Citation-1.3-3.fc10.src.rpm) completed successfully
Comment 2 manuel wolfshant 2009-01-31 17:03:36 EST
COPYING is included twice:
-rw-r--r--    1 root    root            17645 Mar 24  2007 /usr/share/doc/Citation-1.3/COPYING
-rw-r--r--    1 root    root            17645 Mar 24  2007 /usr/share/gdesklets/Displays/Citation/COPYING

uhm, and the URL for the spec is not valid
Comment 3 MERCIER Jonathan 2009-01-31 18:06:37 EST
(In reply to comment #2)
> COPYING is included twice:
> -rw-r--r--    1 root    root            17645 Mar 24  2007
> /usr/share/doc/Citation-1.3/COPYING
> -rw-r--r--    1 root    root            17645 Mar 24  2007
> /usr/share/gdesklets/Displays/Citation/COPYING
> 
> uhm, and the URL for the spec is not valid

bug is fixed

http://bioinformatiques.free.fr/Citation-1.3-4.fc10.noarch.rpm

http://bioinformatiques.free.fr/Citation-1.3-4.fc10.src.rpm

http://bioinformatiques.free.fr/Citation.spec
_____________________________________________________________________
rmlint issue:
$ rpmlint rpmbuild/SPECS/citation.spec 
Error: no installed packages by name rpmbuild/SPECS/citation.spec
0 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SPECS/Citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/Citation-1.3-4.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/Citation-1.3-4.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 MERCIER Jonathan 2009-01-31 18:08:33 EST
$ rpmlint rpmbuild/SPECS/Citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 5 MERCIER Jonathan 2009-02-01 14:04:12 EST
http://bioinformatiques.free.fr/Citation-1.3-5.fc10.noarch.rpm

http://bioinformatiques.free.fr/Citation-1.3-5.fc10.src.rpm

http://bioinformatiques.free.fr/Citation.spec
_____________________________________________________
$ rpmlint rpmbuild/SPECS/Citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/Citation-1.3-5.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/Citation-1.3-5.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
_____________________________________________________
# rpm -ivh Citation-1.3-5.fc10.noarch.rpm 
Préparation...              ########################################### [100%]
   1:Citation               ########################################### [100%]

# ls /usr/share/gdesklets/Displays/Citation/
bg  citation.display  citation.png  citation.script

]# ls /usr/share/doc/Citation-1.3/
COPYING
Comment 6 MERCIER Jonathan 2009-02-06 06:55:27 EST
i change the name of rpm citation to gdesklet-citation

rpmlint issue:
_____________________________________________________

$ rpmlint rpmbuild/SPECS/gdesklet-citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/gdesklet-
gdesklet-citation-1.1-1.fc10.src.rpm   gdesklet-citation-1.3-3.fc10.src.rpm   gdesklet-radar-1.0-1.fc10.src.rpm      
gdesklet-citation-1.2-2.fc10.src.rpm   gdesklet-citation-1.3-6.fc10.src.rpm   gdesklet-slideshow-0.9-2.fc10.src.rpm  

$ rpmlint rpmbuild/SRPMS/gdesklet-citation-1.3-6.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/gdesklet-citation-1.3-6.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
_____________________________________________________
link:

http://bioinformatiques.free.fr/gdesklet-citation-1.3-6.fc10.noarch.rpm

http://bioinformatiques.free.fr/gdesklet-citation-1.3-6.fc10.src.rpm

http://bioinformatiques.free.fr/gdesklet-citation.spec
Comment 7 Mamoru TASAKA 2009-02-06 10:06:48 EST
(Removing NEEDSPONSOR)
Comment 8 MERCIER Jonathan 2009-02-17 18:41:06 EST
New Package CVS Request
=======================
Package Name: gdesklet-citation
Short Description: A collection of quotes in French for gdesklets
Owners: bioinfornatics@gmail.com
Branches: F9 F10
InitialCC: bioinfornatics
Comment 9 manuel wolfshant 2009-02-17 19:25:41 EST
I see no formal review being done for this package, I am resetting the flags.
Comment 10 MERCIER Jonathan 2009-02-18 06:02:29 EST
quote: mtasaka@ioa.s.u-tokyo.ac.jp  2009-02-05 13:43:29 EDT   (-) [reply] -------

Well,
- This package itself is now good
- For your other review requests:
  - I suggets that gdesklets related packages should be renamed
    to gdesklets-XXXXXX
    (there are already gdesklets-goodweather, gdesklets-quote-of-the-day
     on Fedora. It seems that both of these were reviewed by me....)
  - I suggest that earth-and-moon rpm should be renamed to
    earth-and-moon-backgrounds (as other packages do).
    You can check how other packages are renamed by
    $ rpm -qf /usr/share/backgrounds/*

   (note: please post new srpms or your comments for this package
    on the corresponding review request, not on "this" review
    ticket)
_______________________________________________________________________________
mtasaka say this but in https://bugzilla.redhat.com/show_bug.cgi?id=481022 when sponsorized me for another package
Comment 11 manuel wolfshant 2009-02-18 06:54:22 EST
Mamoru did a review of the SPE package and made recommendations for gdesklets. This does not equal a review of the gdesklets package.

Someone still has to do a review, just like for any other package. The only difference is that because you are now sponsored, anyone (not just a sponsor) can do it.
Comment 12 manuel wolfshant 2009-02-18 06:56:53 EST
Not to mention that Mamoru made it quite clear that you still need to modify the gdesklets package (see the content of the parenthesis, emphasize on "please post new srpms [...]")
Comment 13 Pierre-YvesChibon 2009-02-18 07:05:47 EST
well that he actually did :)
%changelog
* Fri Feb 6 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-6
- change the name of rpm citation to gdesklet-citation
Comment 14 MERCIER Jonathan 2009-02-28 20:31:23 EST
someone can review this package please
Comment 15 Jason Tibbitts 2009-03-07 12:39:31 EST
I do not see that you are in the packager group, so I have indicated that you need a sponsor.
Comment 16 Mamoru TASAKA 2009-03-07 13:05:13 EST
(In reply to comment #15)
> I do not see that you are in the packager group, so I have indicated that you
> need a sponsor.  

I am sponsoring the submitter.
Comment 17 Mamoru TASAKA 2009-03-07 13:44:11 EST
Well, the trouble is that currently gdesklets itself won't
work on my rawhide machine :( However I will review this

Some notes:

* License
  - The license tag should be "GPL+", because no version
    is specified (putting GPLv2 license text is not enough
    to limit version)

* Name
  - should be gdesklet"s"-citation

* Requires
  - gdesklets already requires python 
    (gdesklets requires gnome-python2-gconf, and gnome-python2-gconf
     requires python)

! %define -> %global
  - For some reason (mainly because of unexpected behavior of
    %define on nested macros), now Fedora packaging guideline
    recommends to use %global instead of %define.

* %setup
----------------------------------------------------------
%setup -q -c %{name}-%{version} -a0
----------------------------------------------------------
  - "%setup -q -c" is enough.

* Directory ownership issue
  - The directory %{_datadir}/gdesklets/Displays/%{_appname}/
    must be owned by this package.
Comment 18 MERCIER Jonathan 2009-03-08 11:58:14 EDT
%changelog
* Sun Mar 8 2009  Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.3-7
- change license GPLv2 to GPL+
- change name "gdesklet-citation" to "gdesklets-citation"
- remove requires python
- use %%global instead of %%define
- directory %%{_datadir}/gdesklets/Displays/%%{_appname}/ is owned by this package.

i wait my new version of this desklets (tomorrow) for put here .spec src.rpm files

thanks
Comment 19 MERCIER Jonathan 2009-03-10 15:17:52 EDT
link:

http://bioinformatiques.free.fr/gdesklets-citation-1.5.8.fc10.noarch.rpm

http://bioinformatiques.free.fr/gdesklets-citation-1.5-8.fc10.src.rpm

http://bioinformatiques.free.fr/gdesklets-citation.spec  

rpmlint issue:
$ rpmlint rpmbuild/RPMS/noarch/gdesklets-citation-1.5-8.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/gdesklets-citation-1.5-8.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SPECS/gdesklets-citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 20 Mamoru TASAKA 2009-03-12 11:03:36 EDT
For 1.5-8:

* Licensing
  - It seems that you changed the licenses of some files to
    GPLv3+. So now the license tag should be "GPLv3+".

* URL
  - For sourceforge hosted tarball, please refer to:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Sourceforge.net
Comment 21 MERCIER Jonathan 2009-03-12 16:23:28 EDT
%changelog
* Fri Mar 12 2009 Jonathan MERCIER <bioinfornatics-at-gmail.com> - 1.5-9
- fix the spec file source0 and license

----------------------------------------------------
link:

http://bioinformatiques.free.fr/gdesklets-citation-1.5.9.fc10.noarch.rpm

http://bioinformatiques.free.fr/gdesklets-citation-1.5-9.fc10.src.rpm

http://bioinformatiques.free.fr/gdesklets-citation.spec  
----------------------------------------------------

rpmlint issue:
$ rpmlint rpmbuild/SPECS/gdesklets-citation.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/SRPMS/gdesklets-citation-1.5-9.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/gdesklets-citation-1.5-9.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 22 Mamoru TASAKA 2009-03-13 11:02:09 EDT
Okay.

-------------------------------------------------------------
  This package (gdesklets-citation) is APPROVED by mtasaka
-------------------------------------------------------------
Comment 23 MERCIER Jonathan 2009-03-13 16:21:14 EDT
New Package CVS Request
=======================
Package Name: gdesklets-citation
Short Description:  A collection of quotes in French for gdesklets
Owners: bioinfornatics@gmail.com
Branches: F-9 F-10
InitialCC: bioinfornatics
Comment 24 Kevin Fenzi 2009-03-15 22:16:42 EDT
cvs done.
Comment 25 Fedora Update System 2009-03-16 15:39:45 EDT
gdesklets-citation-1.5-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2009-03-16 15:45:26 EDT
gdesklets-citation-1.5-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.